org.eclipse.rdf4j.model.vocabulary

## Class ORG

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.ORG

-     public class ORG
      extends Object

  Constants for the W3C Organization Ontology.
  Author:
    Bart.Hanssens
  See Also:
    Organization Ontology

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `BASED_AT` void:basedAt
    `static IRI` | `CHANGE_EVENT` void:ChangeEvent
    `static IRI` | `CHANGED_BY` void:changedBy
    `static IRI` | `CLASSIFICATION` void:classification
    `static IRI` | `FORMAL_ORGANIZATION` void:FormalOrganization
    `static IRI` | `HAS_MEMBER` void:hasMember
    `static IRI` | `HAS_MEMBERSHIP` void:hasMembership
    `static IRI` | `HAS_ORGANIZATION` void:organization
    `static IRI` | `HAS_POST` void:hasPost
    `static IRI` | `HAS_PRIMARY_SITE` void:hasPrimarySite
    `static IRI` | `HAS_REGISTERED_SITE` void:hasRegisteredSite
    `static IRI` | `HAS_ROLE` void:role
    `static IRI` | `HAS_SITE` void:hasSite
    `static IRI` | `HAS_SUB_ORGANIZATION` void:hasSubOrganization
    `static IRI` | `HAS_UNIT` void:hasUnit
    `static IRI` | `HEAD_OF` void:headOf
    `static IRI` | `HELD_BY` void:heldBy
    `static IRI` | `HOLDS` void:holds
    `static IRI` | `IDENTIFIER` void:identifier
    `static IRI` | `LINKED_TO` void:linkedTo
    `static IRI` | `LOCATION` void:location
    `static IRI` | `MEMBER` void:member
    `static IRI` | `MEMBER_DURING` void:memberDuring
    `static IRI` | `MEMBER_OF` void:memberOf
    `static IRI` | `MEMBERSHIP` void:Membership
    `static String` | `NAMESPACE` The Organization Ontology namespace: http://www.w3.org/ns/org#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the Organization namespace.
    `static IRI` | `ORGANIZATION` void:Organization
    `static IRI` | `ORGANIZATIONAL_COLLABORATION` void:OrganizationalCollaboration
    `static IRI` | `ORGANIZATIONAL_UNIT` void:OrganizationalUnit
    `static IRI` | `ORIGINAL_ORGANIZATION` void:originalOrganization
    `static IRI` | `POST` void:Post
    `static IRI` | `POST_IN` void:postIn
    `static String` | `PREFIX` Recommended prefix for the Organization Ontology namespace: "org"
    `static IRI` | `PURPOSE` void:purpose
    `static IRI` | `REMUNERATION` void:remuneration
    `static IRI` | `REPORTS_TO` void:reportsTo
    `static IRI` | `RESULTED_FROM` void:resultedFrom
    `static IRI` | `RESULTING_ORGANIZATION` void:resultingOrganization
    `static IRI` | `ROLE` void:Role
    `static IRI` | `ROLE_PROPERTY` void:roleProperty
    `static IRI` | `SITE` void:Site
    `static IRI` | `SITE_ADDRESS` void:siteAddress
    `static IRI` | `SITE_OF` void:siteOf
    `static IRI` | `SUB_ORGANIZATION_OF` void:subOrganizationOf
    `static IRI` | `TRANSITIVE_SUB_ORGANIZATION_OF` void:transitiveSubOrganizationOf
    `static IRI` | `UNIT_OF` void:unitOf

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ORG()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The Organization Ontology namespace: http://www.w3.org/ns/org#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the Organization Ontology namespace: "org"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the Organization namespace.

    - #### CHANGE_EVENT

          public static final IRI CHANGE_EVENT

      void:ChangeEvent

    - #### FORMAL_ORGANIZATION

          public static final IRI FORMAL_ORGANIZATION

      void:FormalOrganization

    - #### MEMBERSHIP

          public static final IRI MEMBERSHIP

      void:Membership

    - #### ORGANIZATION

          public static final IRI ORGANIZATION

      void:Organization

    - #### ORGANIZATIONAL_COLLABORATION

          public static final IRI ORGANIZATIONAL_COLLABORATION

      void:OrganizationalCollaboration

    - #### ORGANIZATIONAL_UNIT

          public static final IRI ORGANIZATIONAL_UNIT

      void:OrganizationalUnit

    - #### POST

          public static final IRI POST

      void:Post

    - #### ROLE

          public static final IRI ROLE

      void:Role

    - #### SITE

          public static final IRI SITE

      void:Site

    - #### BASED_AT

          public static final IRI BASED_AT

      void:basedAt

    - #### CHANGED_BY

          public static final IRI CHANGED_BY

      void:changedBy

    - #### CLASSIFICATION

          public static final IRI CLASSIFICATION

      void:classification

    - #### HAS_MEMBER

          public static final IRI HAS_MEMBER

      void:hasMember

    - #### HAS_MEMBERSHIP

          public static final IRI HAS_MEMBERSHIP

      void:hasMembership

    - #### HAS_POST

          public static final IRI HAS_POST

      void:hasPost

    - #### HAS_PRIMARY_SITE

          public static final IRI HAS_PRIMARY_SITE

      void:hasPrimarySite

    - #### HAS_REGISTERED_SITE

          public static final IRI HAS_REGISTERED_SITE

      void:hasRegisteredSite

    - #### HAS_SITE

          public static final IRI HAS_SITE

      void:hasSite

    - #### HAS_SUB_ORGANIZATION

          public static final IRI HAS_SUB_ORGANIZATION

      void:hasSubOrganization

    - #### HAS_UNIT

          public static final IRI HAS_UNIT

      void:hasUnit

    - #### HEAD_OF

          public static final IRI HEAD_OF

      void:headOf

    - #### HELD_BY

          public static final IRI HELD_BY

      void:heldBy

    - #### HOLDS

          public static final IRI HOLDS

      void:holds

    - #### IDENTIFIER

          public static final IRI IDENTIFIER

      void:identifier

    - #### LINKED_TO

          public static final IRI LINKED_TO

      void:linkedTo

    - #### LOCATION

          public static final IRI LOCATION

      void:location

    - #### MEMBER_DURING

          public static final IRI MEMBER_DURING

      void:memberDuring

    - #### MEMBER_OF

          public static final IRI MEMBER_OF

      void:memberOf

    - #### MEMBER

          public static final IRI MEMBER

      void:member

    - #### HAS_ORGANIZATION

          public static final IRI HAS_ORGANIZATION

      void:organization

    - #### ORIGINAL_ORGANIZATION

          public static final IRI ORIGINAL_ORGANIZATION

      void:originalOrganization

    - #### POST_IN

          public static final IRI POST_IN

      void:postIn

    - #### PURPOSE

          public static final IRI PURPOSE

      void:purpose

    - #### REMUNERATION

          public static final IRI REMUNERATION

      void:remuneration

    - #### REPORTS_TO

          public static final IRI REPORTS_TO

      void:reportsTo

    - #### RESULTED_FROM

          public static final IRI RESULTED_FROM

      void:resultedFrom

    - #### RESULTING_ORGANIZATION

          public static final IRI RESULTING_ORGANIZATION

      void:resultingOrganization

    - #### HAS_ROLE

          public static final IRI HAS_ROLE

      void:role

    - #### ROLE_PROPERTY

          public static final IRI ROLE_PROPERTY

      void:roleProperty

    - #### SITE_ADDRESS

          public static final IRI SITE_ADDRESS

      void:siteAddress

    - #### SITE_OF

          public static final IRI SITE_OF

      void:siteOf

    - #### SUB_ORGANIZATION_OF

          public static final IRI SUB_ORGANIZATION_OF

      void:subOrganizationOf

    - #### TRANSITIVE_SUB_ORGANIZATION_OF

          public static final IRI TRANSITIVE_SUB_ORGANIZATION_OF

      void:transitiveSubOrganizationOf

    - #### UNIT_OF

          public static final IRI UNIT_OF

      void:unitOf

  - ### Constructor Detail

    - #### ORG

          public ORG()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.